# Rooms - **OpenAPI Version:** `3.1.0` - **API Version:** `1.0.0` The Zoom Rooms webhooks allow developers to receive events for [Zoom Rooms](https://developers.zoom.us/docs/zoom-rooms/) features. ## Operations ### POST visitor\_management.checked\_out - **Method:** `POST` - **Path:** `visitor_management.checked_out` - **Tags:** visitor\_management #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The host user account ID. - **`object` (required)** `object` — Information about the checked out invitation. - **`end_time` (required)** `long` — The epoch timestamp representing end time of the invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`start_time` (required)** `long` — The epoch timestamp representing the start time of the invitation. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the host. - **`operator_id` (required)** `string` — The user ID of the host. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "visitor_email": "", "visitor_name": "", "start_time": null, "end_time": null, "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The host user account ID. - **`object` (required)** `object` — Information about the checked out invitation. - **`end_time` (required)** `long` — The epoch timestamp representing end time of the invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`start_time` (required)** `long` — The epoch timestamp representing the start time of the invitation. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the host. - **`operator_id` (required)** `string` — The user ID of the host. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "visitor_email": "", "visitor_name": "", "start_time": null, "end_time": null, "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` ### POST workspace.user\_unassigned - **Method:** `POST` - **Path:** `workspace.user_unassigned` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the user unassigned when unassign a user from a workspace. - **`account_id` (required)** `string` — The belong's account id of assigned user. - **`assign_type` (required)** `string`, possible values: `"permanent"` — The type of assign before unassign. - **`user_id` (required)** `string` — The id of assigned user. - **`workspace_id` (required)** `string` — The workspace's ID. - **`workspace_name` (required)** `string` — The workspace's name. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the assignment. - **`operator_id` (required)** `string` — The user ID of the user that updated the assignment. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "workspace_id": "", "workspace_name": "", "account_id": "", "user_id": "", "assign_type": "permanent" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the user unassigned when unassign a user from a workspace. - **`account_id` (required)** `string` — The belong's account id of assigned user. - **`assign_type` (required)** `string`, possible values: `"permanent"` — The type of assign before unassign. - **`user_id` (required)** `string` — The id of assigned user. - **`workspace_id` (required)** `string` — The workspace's ID. - **`workspace_name` (required)** `string` — The workspace's name. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the assignment. - **`operator_id` (required)** `string` — The user ID of the user that updated the assignment. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "workspace_id": "", "workspace_name": "", "account_id": "", "user_id": "", "assign_type": "permanent" } } } ``` ### POST workspace.reservation\_questionnaire\_response\_created - **Method:** `POST` - **Path:** `workspace.reservation_questionnaire_response_created` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the questionnaire when creating a reservation for a workspace. - **`desk_id` (required)** `string` — The desk ID. - **`event_id` (required)** `string` — The event ID. - **`location_id` (required)** `string` — The location ID. - **`questionnaire_response` (required)** `array` — List of questionnaires. **Items:** - **`id` (required)** `string` — The view ID. - **`list` (required)** `array` — List of questions in the questionnaire. **Items:** - **`options` (required)** `array` — List of options for multiple-choice questions. **Items:** - **`option_id` (required)** `string` — The option ID. - **`text` (required)** `string` — The text of the option. - **`question_id` (required)** `string` — The question ID. - **`reply_id` (required)** `string` — The reply ID. - **`title` (required)** `string` — The title of the question. - **`type` (required)** `string` — The type of the question (single-choice, multiple-choice, open-text). - **`subject` (required)** `string` — The subject of the questionnaire. - **`title` (required)** `string` — The title of the questionnaire. - **`start_time` (required)** `string`, format: `date-time` — The start time of the workspace reservation. - **`user_name` (required)** `string` — The user name. - **`workspace_name` (required)** `string` — The name of the workspace. - **`operator` (required)** `string`, format: `email` — The email address of the user that completed the questionnaire. - **`operator_id` (required)** `string` — The user ID of the user that completed the questionnaire. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "start_time": "", "event_id": "", "user_name": "", "desk_id": "", "workspace_name": "", "location_id": "", "questionnaire_response": [ { "id": "", "title": "", "subject": "", "list": [ { "question_id": "", "title": "", "type": "", "reply_id": "", "options": [ { "option_id": "", "text": "" } ] } ] } ] } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the questionnaire when creating a reservation for a workspace. - **`desk_id` (required)** `string` — The desk ID. - **`event_id` (required)** `string` — The event ID. - **`location_id` (required)** `string` — The location ID. - **`questionnaire_response` (required)** `array` — List of questionnaires. **Items:** - **`id` (required)** `string` — The view ID. - **`list` (required)** `array` — List of questions in the questionnaire. **Items:** - **`options` (required)** `array` — List of options for multiple-choice questions. **Items:** - **`option_id` (required)** `string` — The option ID. - **`text` (required)** `string` — The text of the option. - **`question_id` (required)** `string` — The question ID. - **`reply_id` (required)** `string` — The reply ID. - **`title` (required)** `string` — The title of the question. - **`type` (required)** `string` — The type of the question (single-choice, multiple-choice, open-text). - **`subject` (required)** `string` — The subject of the questionnaire. - **`title` (required)** `string` — The title of the questionnaire. - **`start_time` (required)** `string`, format: `date-time` — The start time of the workspace reservation. - **`user_name` (required)** `string` — The user name. - **`workspace_name` (required)** `string` — The name of the workspace. - **`operator` (required)** `string`, format: `email` — The email address of the user that completed the questionnaire. - **`operator_id` (required)** `string` — The user ID of the user that completed the questionnaire. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "start_time": "", "event_id": "", "user_name": "", "desk_id": "", "workspace_name": "", "location_id": "", "questionnaire_response": [ { "id": "", "title": "", "subject": "", "list": [ { "question_id": "", "title": "", "type": "", "reply_id": "", "options": [ { "option_id": "", "text": "" } ] } ] } ] } } } ``` ### POST zoomroom.sensor\_data - **Method:** `POST` - **Path:** `zoomroom.sensor_data` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`device_id` (required)** `string` — The device ID. - **`id` (required)** `string` — The Zoom Room ID. - **`room_name` (required)** `string` — The Zoom Room name. - **`sensor_data` (required)** `array` — Information about the sensor data. **Items:** - **`date_time` (required)** `string`, format: `datetime` — The time when the sensor data was reported. - **`sensor_type` (required)** `string`, possible values: `"CO2", "TEMPERATURE", "REAL_TIME_PEOPLE_COUNT", "HUMIDITY", "VOC", "AQI", "PM25", "PM10", "AIR_PRESSURE"` — The sensor type. - **`sensor_value` (required)** `string` — The sensor value. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "device_id": "", "sensor_data": [ { "date_time": "2022-06-19T00:00:00Z", "sensor_type": "CO2", "sensor_value": "" } ] } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`device_id` (required)** `string` — The device ID. - **`id` (required)** `string` — The Zoom Room ID. - **`room_name` (required)** `string` — The Zoom Room name. - **`sensor_data` (required)** `array` — Information about the sensor data. **Items:** - **`date_time` (required)** `string`, format: `datetime` — The time when the sensor data was reported. - **`sensor_type` (required)** `string`, possible values: `"CO2", "TEMPERATURE", "REAL_TIME_PEOPLE_COUNT", "HUMIDITY", "VOC", "AQI", "PM25", "PM10", "AIR_PRESSURE"` — The sensor type. - **`sensor_value` (required)** `string` — The sensor value. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "device_id": "", "sensor_data": [ { "date_time": "2022-06-19T00:00:00Z", "sensor_type": "CO2", "sensor_value": "" } ] } } } ``` ### POST visitor\_management.invitation\_deleted - **Method:** `POST` - **Path:** `visitor_management.invitation_deleted` - **Tags:** visitor\_management #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The user account ID. - **`object` (required)** `object` — Information about the deleted invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the user that deleted the invitation. - **`operator_id` (required)** `string` — The user ID of the user that deleted the invitation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "visitor_email": "", "visitor_name": "", "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The user account ID. - **`object` (required)** `object` — Information about the deleted invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the user that deleted the invitation. - **`operator_id` (required)** `string` — The user ID of the user that deleted the invitation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "visitor_email": "", "visitor_name": "", "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` ### POST zoomroom.alert - **Method:** `POST` - **Path:** `zoomroom.alert` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`alert_kind` (required)** `integer`, possible values: `1, 2, 3, 4` — The kind of alert: \* 1 — Triggered. There was an encountered problem. When the problem is resolved, a follow-up response will contain this field with the 2 (Cleared) value. \* 2 — Cleared. The problem is resolved. \* 3 — Observed. There is a potential issue-causing condition. If the issue is cleared (2), there will \*\*not\*\* be a follow-up response. \* 4 - Other. - **`alert_time` (required)** `integer`, format: `int64` — The timestamp when the alert occurred. - **`alert_type` (required)** `integer`, possible values: `1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 0` — The type of alert sent: \* 1 — The controller or scheduling display disconnected. \* 2 — The selected microphone, speaker, or camera has disconnected \* 3 — The Zoom Room is offline. \* 4 — High CPU usage detected. \* 5 — Low network bandwidth detected. \* 6 — The controller or scheduling display battery is low. \* 7 — The Zoom Rooms display is disconnected. \* 8 — The audio device has quality issues \* 9 — Failed SIP registration \* 10 — Incorrect room passcode entry detected \* 0 — Other alert. - **`calendar_name` (required)** `string` — The calendar's name. - **`component` (required)** `integer`, possible values: `1, 2, 3, 4, 5, 6, 0` — The affected component: \* 1 — Zoom Rooms Computer \* 2 — Controller \* 3 — Scheduling Display \* 4 — Microphone \* 5 — Camera \* 6 — Speaker \* 0 - Other. - **`email` (required)** `string`, format: `email` — The Zoom Room's associated email address. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`issue` (required)** `string` — The issues that occurred during the meeting: \* Room Controller disconnected \* Room Controller connected \* Selected camera has disconnected \* Selected camera is reconnected \* Selected microphone has disconnected \* Selected microphone is reconnected \* Selected speaker has disconnected \* Selected speaker is reconnected \* Zoom room is offline \* Zoom room is online \* High CPU usage is detected \* Low bandwidth network is detected \* {name} battery is low \* {name} battery is normal \* {name} disconnected \* {name} connected Incorrect Room Passcode Entry Detected The possible values for {name} are: \* Zoom Rooms Computer \* Controller \* Scheduling Display \*. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "calendar_name": "", "email": "", "issue": "", "alert_type": 1, "component": 1, "alert_time": 1, "alert_kind": 1 } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`alert_kind` (required)** `integer`, possible values: `1, 2, 3, 4` — The kind of alert: \* 1 — Triggered. There was an encountered problem. When the problem is resolved, a follow-up response will contain this field with the 2 (Cleared) value. \* 2 — Cleared. The problem is resolved. \* 3 — Observed. There is a potential issue-causing condition. If the issue is cleared (2), there will \*\*not\*\* be a follow-up response. \* 4 - Other. - **`alert_time` (required)** `integer`, format: `int64` — The timestamp when the alert occurred. - **`alert_type` (required)** `integer`, possible values: `1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 0` — The type of alert sent: \* 1 — The controller or scheduling display disconnected. \* 2 — The selected microphone, speaker, or camera has disconnected \* 3 — The Zoom Room is offline. \* 4 — High CPU usage detected. \* 5 — Low network bandwidth detected. \* 6 — The controller or scheduling display battery is low. \* 7 — The Zoom Rooms display is disconnected. \* 8 — The audio device has quality issues \* 9 — Failed SIP registration \* 10 — Incorrect room passcode entry detected \* 0 — Other alert. - **`calendar_name` (required)** `string` — The calendar's name. - **`component` (required)** `integer`, possible values: `1, 2, 3, 4, 5, 6, 0` — The affected component: \* 1 — Zoom Rooms Computer \* 2 — Controller \* 3 — Scheduling Display \* 4 — Microphone \* 5 — Camera \* 6 — Speaker \* 0 - Other. - **`email` (required)** `string`, format: `email` — The Zoom Room's associated email address. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`issue` (required)** `string` — The issues that occurred during the meeting: \* Room Controller disconnected \* Room Controller connected \* Selected camera has disconnected \* Selected camera is reconnected \* Selected microphone has disconnected \* Selected microphone is reconnected \* Selected speaker has disconnected \* Selected speaker is reconnected \* Zoom room is offline \* Zoom room is online \* High CPU usage is detected \* Low bandwidth network is detected \* {name} battery is low \* {name} battery is normal \* {name} disconnected \* {name} connected Incorrect Room Passcode Entry Detected The possible values for {name} are: \* Zoom Rooms Computer \* Controller \* Scheduling Display \*. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "calendar_name": "", "email": "", "issue": "", "alert_type": 1, "component": 1, "alert_time": 1, "alert_kind": 1 } } } ``` ### POST workspace.reservation\_questionnaire\_response\_updated - **Method:** `POST` - **Path:** `workspace.reservation_questionnaire_response_updated` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the questionnaire when creating a reservation for a workspace. - **`desk_id` (required)** `string` — The desk ID. - **`event_id` (required)** `string` — The event ID. - **`location_id` (required)** `string` — The location ID. - **`questionnaire_response` (required)** `array` — List of questionnaires. **Items:** - **`id` (required)** `string` — The view ID. - **`list` (required)** `array` — List of questions in the questionnaire. **Items:** - **`options` (required)** `array` — List of options for multiple-choice questions. **Items:** - **`option_id` (required)** `string` — The option ID. - **`text` (required)** `string` — The text of the option. - **`question_id` (required)** `string` — The question ID. - **`reply_id` (required)** `string` — The reply ID. - **`title` (required)** `string` — The title of the question. - **`type` (required)** `string` — The type of the question (single-choice, multiple-choice, open-text). - **`subject` (required)** `string` — The subject of the questionnaire. - **`title` (required)** `string` — The title of the questionnaire. - **`start_time` (required)** `string`, format: `date-time` — The start time of the workspace reservation. - **`user_name` (required)** `string` — The user name. - **`workspace_name` (required)** `string` — The name of the workspace. - **`operator` (required)** `string`, format: `email` — The email address of the user that completed the questionnaire. - **`operator_id` (required)** `string` — The user ID of the user that completed the questionnaire. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "start_time": "", "event_id": "", "user_name": "", "desk_id": "", "workspace_name": "", "location_id": "", "questionnaire_response": [ { "id": "", "title": "", "subject": "", "list": [ { "question_id": "", "title": "", "type": "", "reply_id": "", "options": [ { "option_id": "", "text": "" } ] } ] } ] } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the questionnaire when creating a reservation for a workspace. - **`desk_id` (required)** `string` — The desk ID. - **`event_id` (required)** `string` — The event ID. - **`location_id` (required)** `string` — The location ID. - **`questionnaire_response` (required)** `array` — List of questionnaires. **Items:** - **`id` (required)** `string` — The view ID. - **`list` (required)** `array` — List of questions in the questionnaire. **Items:** - **`options` (required)** `array` — List of options for multiple-choice questions. **Items:** - **`option_id` (required)** `string` — The option ID. - **`text` (required)** `string` — The text of the option. - **`question_id` (required)** `string` — The question ID. - **`reply_id` (required)** `string` — The reply ID. - **`title` (required)** `string` — The title of the question. - **`type` (required)** `string` — The type of the question (single-choice, multiple-choice, open-text). - **`subject` (required)** `string` — The subject of the questionnaire. - **`title` (required)** `string` — The title of the questionnaire. - **`start_time` (required)** `string`, format: `date-time` — The start time of the workspace reservation. - **`user_name` (required)** `string` — The user name. - **`workspace_name` (required)** `string` — The name of the workspace. - **`operator` (required)** `string`, format: `email` — The email address of the user that completed the questionnaire. - **`operator_id` (required)** `string` — The user ID of the user that completed the questionnaire. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "start_time": "", "event_id": "", "user_name": "", "desk_id": "", "workspace_name": "", "location_id": "", "questionnaire_response": [ { "id": "", "title": "", "subject": "", "list": [ { "question_id": "", "title": "", "type": "", "reply_id": "", "options": [ { "option_id": "", "text": "" } ] } ] } ] } } } ``` ### POST workspace.reservation\_update - **Method:** `POST` - **Path:** `workspace.reservation_update` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the reservation. - **`operator_id` (required)** `string` — The user ID of the user that updated the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "KDcuGIm1QgePTO8WbOqwIQ" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the reservation. - **`operator_id` (required)** `string` — The user ID of the user that updated the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "KDcuGIm1QgePTO8WbOqwIQ" } } } ``` ### POST workspace.user\_assigned - **Method:** `POST` - **Path:** `workspace.user_assigned` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the assignment when updating assignment of a workspace. - **`account_id` (required)** `string` — The belong's account id of assigned user. - **`assign_type` (required)** `string`, possible values: `"permanent"` — The type of assignment. - **`user_email` (required)** `string` — The email of assigned user. - **`user_id` (required)** `string` — The id of assigned user. - **`workspace_id` (required)** `string` — The workspace's ID. - **`workspace_name` (required)** `string` — The workspace's name. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the assignment. - **`operator_id` (required)** `string` — The user ID of the user that updated the assignment. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "workspace_id": "", "workspace_name": "", "assign_type": "permanent", "account_id": "", "user_id": "", "user_email": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the assignment when updating assignment of a workspace. - **`account_id` (required)** `string` — The belong's account id of assigned user. - **`assign_type` (required)** `string`, possible values: `"permanent"` — The type of assignment. - **`user_email` (required)** `string` — The email of assigned user. - **`user_id` (required)** `string` — The id of assigned user. - **`workspace_id` (required)** `string` — The workspace's ID. - **`workspace_name` (required)** `string` — The workspace's name. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the assignment. - **`operator_id` (required)** `string` — The user ID of the user that updated the assignment. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "workspace_id": "", "workspace_name": "", "assign_type": "permanent", "account_id": "", "user_id": "", "user_email": "" } } } ``` ### POST zoomroom.digital\_signage\_app\_ended - **Method:** `POST` - **Path:** `zoomroom.digital_signage_app_ended` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — The information on the digital signage played in a Zoom Room. - **`app_id` (required)** `string` — The app ID. - **`app_name` (required)** `string` — The app name. - **`end_time` (required)** `string`, format: `datetime` — The playback end time of the digital signage. - **`room_id` (required)** `string` — The Zoom Room ID. - **`start_time` (required)** `string`, format: `datetime` — The playback start time of the digital signage. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "room_id": "", "app_name": "", "app_id": "", "start_time": "2022-06-19T00:00:00Z", "end_time": "2022-06-19T00:00:00Z" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — The information on the digital signage played in a Zoom Room. - **`app_id` (required)** `string` — The app ID. - **`app_name` (required)** `string` — The app name. - **`end_time` (required)** `string`, format: `datetime` — The playback end time of the digital signage. - **`room_id` (required)** `string` — The Zoom Room ID. - **`start_time` (required)** `string`, format: `datetime` — The playback start time of the digital signage. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "room_id": "", "app_name": "", "app_id": "", "start_time": "2022-06-19T00:00:00Z", "end_time": "2022-06-19T00:00:00Z" } } } ``` ### POST zoomroom.checked\_in - **Method:** `POST` - **Path:** `zoomroom.checked_in` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`api_type` (required)** `string`, possible values: `"0", "1", ""` — The API type: \* 0 — \[Exchange Web Services (EWS) API]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/ews-managed-api-reference-for-exchange) \* 1 — \[Microsoft Graph API]\(https\://docs.microsoft.com/en-us/azure/active-directory/develop/microsoft-graph-intro) \* An empty string — The API returns this value when the calendar\_type value is 0 (Google Calendar). - **`calendar_id` (required)** `string` — The calendar's unique ID. - **`calendar_name` (required)** `string` — The calendar's name. - **`calendar_type` (required)** `string`, possible values: `"0", "1", "2"` — The calendar's type: \* 0 — Google Calendar. \* 1 — Office 365 Calendar. \* 2 — Microsoft Exchange Calendar. - **`change_key` (required)** `string` — The specific version of the calendar item. You can get this value using Microsoft's \[FindItem operation]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). Refer to the ChangeKey field of the ItemId element in the operation's response. This field is only returned for Microsoft Exchange or Office 365 calendars. - **`email` (required)** `string`, format: `email` — The Zoom Room's associated email address. - **`event_id` (required)** `string` — The unique ID of the Zoom Room's associated calendar event: \* For Microsoft Exchange calendar integration, use Microsoft's \[FindItem operation]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). The event\_id value is the Id value in the ItemId element of the FindItem operation's response. \* For Google Calendar integration, use Google's \[Events: list API]\(https\://developers.google.com/calendar/api/v3/reference/events/list). The event\_id value is the id field in the \[events resource]\(https\://developers.google.com/calendar/api/v3/reference/events#resource). - **`id` (required)** `string` — The Zoom Room's unique ID. - **`resource_email` (required)** `string` — The calendar's associated \[resource mailbox]\(https\://support.microsoft.com/en-us/help/10063/creating-and-managing-resource-mailboxes-in-office-365). This field is only returned for Microsoft Exchange or Office 365 calendars. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "calendar_name": "", "email": "", "event_id": "", "change_key": "", "resource_email": "", "calendar_id": "", "calendar_type": "0", "api_type": "0" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`api_type` (required)** `string`, possible values: `"0", "1", ""` — The API type: \* 0 — \[Exchange Web Services (EWS) API]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/ews-managed-api-reference-for-exchange) \* 1 — \[Microsoft Graph API]\(https\://docs.microsoft.com/en-us/azure/active-directory/develop/microsoft-graph-intro) \* An empty string — The API returns this value when the calendar\_type value is 0 (Google Calendar). - **`calendar_id` (required)** `string` — The calendar's unique ID. - **`calendar_name` (required)** `string` — The calendar's name. - **`calendar_type` (required)** `string`, possible values: `"0", "1", "2"` — The calendar's type: \* 0 — Google Calendar. \* 1 — Office 365 Calendar. \* 2 — Microsoft Exchange Calendar. - **`change_key` (required)** `string` — The specific version of the calendar item. You can get this value using Microsoft's \[FindItem operation]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). Refer to the ChangeKey field of the ItemId element in the operation's response. This field is only returned for Microsoft Exchange or Office 365 calendars. - **`email` (required)** `string`, format: `email` — The Zoom Room's associated email address. - **`event_id` (required)** `string` — The unique ID of the Zoom Room's associated calendar event: \* For Microsoft Exchange calendar integration, use Microsoft's \[FindItem operation]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). The event\_id value is the Id value in the ItemId element of the FindItem operation's response. \* For Google Calendar integration, use Google's \[Events: list API]\(https\://developers.google.com/calendar/api/v3/reference/events/list). The event\_id value is the id field in the \[events resource]\(https\://developers.google.com/calendar/api/v3/reference/events#resource). - **`id` (required)** `string` — The Zoom Room's unique ID. - **`resource_email` (required)** `string` — The calendar's associated \[resource mailbox]\(https\://support.microsoft.com/en-us/help/10063/creating-and-managing-resource-mailboxes-in-office-365). This field is only returned for Microsoft Exchange or Office 365 calendars. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "calendar_name": "", "email": "", "event_id": "", "change_key": "", "resource_email": "", "calendar_id": "", "calendar_type": "0", "api_type": "0" } } } ``` ### POST workspace.reservation\_checked\_in - **Method:** `POST` - **Path:** `workspace.reservation_checked_in` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that checked in the reservation. - **`operator_id` (required)** `string` — The user ID of the user that checked in the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "KDcuGIm1QgePTO8WbOqwIQ" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that checked in the reservation. - **`operator_id` (required)** `string` — The user ID of the user that checked in the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "KDcuGIm1QgePTO8WbOqwIQ" } } } ``` ### POST zoomroom.updated - **Method:** `POST` - **Path:** `zoomroom.updated` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "" } } } ``` ### POST zoomroom.location\_updated - **Method:** `POST` - **Path:** `zoomroom.location_updated` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated the Zoom Rooms Location. - **`object` (required)** `object` — Information about the updated Location. - **`id` (required)** `string` — The Zoom Rooms location's ID. - **`name` (required)** `string` — The name of the updated Zoom Rooms location. - **`parent_location_id` (required)** `string` — This location's parent Zoom Rooms location ID. - **`type` (required)** `enum, country┃states┃city┃campus┃building┃floor` — The type of location. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the Zoom Rooms Location. - **`operator_id` (required)** `string` — The user ID of the user that updated the Zoom Rooms Location. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "name": "", "parent_location_id": "", "type": null } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated the Zoom Rooms Location. - **`object` (required)** `object` — Information about the updated Location. - **`id` (required)** `string` — The Zoom Rooms location's ID. - **`name` (required)** `string` — The name of the updated Zoom Rooms location. - **`parent_location_id` (required)** `string` — This location's parent Zoom Rooms location ID. - **`type` (required)** `enum, country┃states┃city┃campus┃building┃floor` — The type of location. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the Zoom Rooms Location. - **`operator_id` (required)** `string` — The user ID of the user that updated the Zoom Rooms Location. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "name": "", "parent_location_id": "", "type": null } } } ``` ### POST workspace.pre\_check\_in\_questionnaire\_response\_created - **Method:** `POST` - **Path:** `workspace.pre_check_in_questionnaire_response_created` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the questionnaire when creating a reservation for a workspace. - **`desk_id` (required)** `string` — The desk ID. - **`event_id` (required)** `string` — The event ID. - **`location_id` (required)** `string` — The location ID. - **`questionnaire_response` (required)** `array` — List of questionnaires. **Items:** - **`id` (required)** `string` — The view ID. - **`list` (required)** `array` — List of questions in the questionnaire. **Items:** - **`options` (required)** `array` — List of options for multiple-choice questions. **Items:** - **`option_id` (required)** `string` — The option ID. - **`text` (required)** `string` — The text of the option. - **`question_id` (required)** `string` — The question ID. - **`reply_id` (required)** `string` — The reply ID. - **`title` (required)** `string` — The title of the question. - **`type` (required)** `string` — The type of the question (single-choice, multiple-choice, open-text). - **`subject` (required)** `string` — The subject of the questionnaire. - **`title` (required)** `string` — The title of the questionnaire. - **`start_time` (required)** `string`, format: `date-time` — The start time of the workspace reservation. - **`user_name` (required)** `string` — The user name. - **`workspace_name` (required)** `string` — The name of the workspace. - **`operator` (required)** `string`, format: `email` — The email address of the user that completed the questionnaire. - **`operator_id` (required)** `string` — The user ID of the user that completed the questionnaire. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "start_time": "", "event_id": "", "user_name": "", "desk_id": "", "workspace_name": "", "location_id": "", "questionnaire_response": [ { "id": "", "title": "", "subject": "", "list": [ { "question_id": "", "title": "", "type": "", "reply_id": "", "options": [ { "option_id": "", "text": "" } ] } ] } ] } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `string`, format: `date-time` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the questionnaire when creating a reservation for a workspace. - **`desk_id` (required)** `string` — The desk ID. - **`event_id` (required)** `string` — The event ID. - **`location_id` (required)** `string` — The location ID. - **`questionnaire_response` (required)** `array` — List of questionnaires. **Items:** - **`id` (required)** `string` — The view ID. - **`list` (required)** `array` — List of questions in the questionnaire. **Items:** - **`options` (required)** `array` — List of options for multiple-choice questions. **Items:** - **`option_id` (required)** `string` — The option ID. - **`text` (required)** `string` — The text of the option. - **`question_id` (required)** `string` — The question ID. - **`reply_id` (required)** `string` — The reply ID. - **`title` (required)** `string` — The title of the question. - **`type` (required)** `string` — The type of the question (single-choice, multiple-choice, open-text). - **`subject` (required)** `string` — The subject of the questionnaire. - **`title` (required)** `string` — The title of the questionnaire. - **`start_time` (required)** `string`, format: `date-time` — The start time of the workspace reservation. - **`user_name` (required)** `string` — The user name. - **`workspace_name` (required)** `string` — The name of the workspace. - **`operator` (required)** `string`, format: `email` — The email address of the user that completed the questionnaire. - **`operator_id` (required)** `string` — The user ID of the user that completed the questionnaire. **Example:** ```json { "event": "", "event_ts": "", "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "start_time": "", "event_id": "", "user_name": "", "desk_id": "", "workspace_name": "", "location_id": "", "questionnaire_response": [ { "id": "", "title": "", "subject": "", "list": [ { "question_id": "", "title": "", "type": "", "reply_id": "", "options": [ { "option_id": "", "text": "" } ] } ] } ] } } } ``` ### POST workspace.reservation\_checked\_out - **Method:** `POST` - **Path:** `workspace.reservation_checked_out` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that checked out the reservation. - **`operator_id` (required)** `string` — The user ID of the user that checked out the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "KDcuGIm1QgePTO8WbOqwIQ" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that checked out the reservation. - **`operator_id` (required)** `string` — The user ID of the user that checked out the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "KDcuGIm1QgePTO8WbOqwIQ" } } } ``` ### POST visitor\_management.checked\_in - **Method:** `POST` - **Path:** `visitor_management.checked_in` - **Tags:** visitor\_management #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The host user account ID. - **`object` (required)** `object` — Information about the checked in invitation. - **`end_time` (required)** `long` — The epoch timestamp representing end time of the invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`start_time` (required)** `long` — The epoch timestamp representing the start time of the invitation. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the host. - **`operator_id` (required)** `string` — The user ID of the host. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "visitor_email": "", "visitor_name": "", "start_time": null, "end_time": null, "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The host user account ID. - **`object` (required)** `object` — Information about the checked in invitation. - **`end_time` (required)** `long` — The epoch timestamp representing end time of the invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`start_time` (required)** `long` — The epoch timestamp representing the start time of the invitation. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the host. - **`operator_id` (required)** `string` — The user ID of the host. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "visitor_email": "", "visitor_name": "", "start_time": null, "end_time": null, "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` ### POST workspace.reservation\_deleted - **Method:** `POST` - **Path:** `workspace.reservation_deleted` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that deleted the reservation. - **`operator_id` (required)** `string` — The user ID of the user that deleted the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "KDcuGIm1QgePTO8WbOqwIQ" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that deleted the reservation. - **`operator_id` (required)** `string` — The user ID of the user that deleted the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "KDcuGIm1QgePTO8WbOqwIQ" } } } ``` ### POST visitor\_management.invitation\_created - **Method:** `POST` - **Path:** `visitor_management.invitation_created` - **Tags:** visitor\_management #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The user account ID. - **`object` (required)** `object` — Information about the created invitation. - **`end_time` (required)** `long` — The epoch timestamp representing end time of the invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invitation_id` (required)** `string` — The invitation ID. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`start_time` (required)** `long` — The epoch timestamp representing the start time of the invitation. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the user that created the invitation. - **`operator_id` (required)** `string` — The user ID of the user that created the invitation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "invitation_id": "", "visitor_email": "", "visitor_name": "", "start_time": null, "end_time": null, "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The user account ID. - **`object` (required)** `object` — Information about the created invitation. - **`end_time` (required)** `long` — The epoch timestamp representing end time of the invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invitation_id` (required)** `string` — The invitation ID. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`start_time` (required)** `long` — The epoch timestamp representing the start time of the invitation. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the user that created the invitation. - **`operator_id` (required)** `string` — The user ID of the user that created the invitation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "invitation_id": "", "visitor_email": "", "visitor_name": "", "start_time": null, "end_time": null, "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` ### POST zoomroom.location\_deleted - **Method:** `POST` - **Path:** `zoomroom.location_deleted` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who deleted the Zoom Rooms location. - **`object` (required)** `object` — Information about the deleted location. - **`id` (required)** `string` — The Zoom Rooms location's ID. - **`name` (required)** `string` — The name of the deleted Zoom Rooms location. - **`parent_location_id` (required)** `string` — This location's parent Zoom Rooms location ID. - **`type` (required)** `enum, country┃states┃city┃campus┃building┃floor` — The location type. - **`operator` (required)** `string`, format: `email` — The email address of the user that deleted the Zoom Rooms location. - **`operator_id` (required)** `string` — The user ID of the user that deleted the Zoom Rooms location. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "name": "", "parent_location_id": "", "type": null } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who deleted the Zoom Rooms location. - **`object` (required)** `object` — Information about the deleted location. - **`id` (required)** `string` — The Zoom Rooms location's ID. - **`name` (required)** `string` — The name of the deleted Zoom Rooms location. - **`parent_location_id` (required)** `string` — This location's parent Zoom Rooms location ID. - **`type` (required)** `enum, country┃states┃city┃campus┃building┃floor` — The location type. - **`operator` (required)** `string`, format: `email` — The email address of the user that deleted the Zoom Rooms location. - **`operator_id` (required)** `string` — The user ID of the user that deleted the Zoom Rooms location. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "name": "", "parent_location_id": "", "type": null } } } ``` ### POST workspace.reservation\_created - **Method:** `POST` - **Path:** `workspace.reservation_created` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`assignment_checkin`** `boolean` — Whether the assigned workspace is checked in. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that created the reservation. - **`operator_id` (required)** `string` — The user ID of the user that created the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "", "assignment_checkin": true } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the workspace reservation. - **`end_time` (required)** `string`, format: `date-time` — The reservation's end time. - **`id` (required)** `string` — The reservation ID. - **`start_time` (required)** `string`, format: `date-time` — The reservation's start time. - **`topic` (required)** `string` — The reservation's description. - **`workspace_id` (required)** `string` — The workspace ID. - **`assignment_checkin`** `boolean` — Whether the assigned workspace is checked in. - **`reserve_for`** `string` — The ID of the user for whom to create a workspace reservation. - **`operator` (required)** `string`, format: `email` — The email address of the user that created the reservation. - **`operator_id` (required)** `string` — The user ID of the user that created the reservation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_id": "", "end_time": "", "start_time": "", "topic": "", "reserve_for": "", "assignment_checkin": true } } } ``` ### POST zoomroom.checked\_out - **Method:** `POST` - **Path:** `zoomroom.checked_out` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`api_type` (required)** `string`, possible values: `"0", "1", ""` — The API type: \* 0 — \[Exchange Web Services (EWS) API]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/ews-managed-api-reference-for-exchange) \* 1 — \[Microsoft Graph API]\(https\://docs.microsoft.com/en-us/azure/active-directory/develop/microsoft-graph-intro) \* An empty string — The API returns this value when the calendar\_type value is 0 (Google Calendar). - **`calendar_id` (required)** `string` — The calendar's unique ID. - **`calendar_name` (required)** `string` — The calendar's name. - **`calendar_type` (required)** `string`, possible values: `"0", "1", "2"` — The calendar's type: \* 0 — Google Calendar. \* 1 — Office 365 Calendar. \* 2 — Microsoft Exchange Calendar. - **`change_key` (required)** `string` — The specific version of the calendar item. You can get this value using Microsoft's \[FindItem operation]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). Refer to the ChangeKey field of the ItemId element in the operation's response. This field is only returned for Microsoft Exchange or Office 365 calendars. - **`email` (required)** `string`, format: `email` — The Zoom Room's associated email address. - **`event_id` (required)** `string` — The unique ID of the Zoom Room's associated calendar event: \* For Microsoft Exchange calendar integration, use Microsoft's \[FindItem operation]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). The event\_id value is the Id value in the ItemId element of the FindItem operation's response. \* For Google Calendar integration, use Google's \[Events: list API]\(https\://developers.google.com/calendar/api/v3/reference/events/list). The event\_id value is the id field in the \[events resource]\(https\://developers.google.com/calendar/api/v3/reference/events#resource). - **`id` (required)** `string` — The Zoom Room's unique ID. - **`resource_email` (required)** `string` — The calendar's associated \[resource mailbox]\(https\://support.microsoft.com/en-us/help/10063/creating-and-managing-resource-mailboxes-in-office-365). This field is only returned for Microsoft Exchange or Office 365 calendars. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "calendar_name": "", "email": "", "event_id": "", "change_key": "", "resource_email": "", "calendar_id": "", "calendar_type": "0", "api_type": "0" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`api_type` (required)** `string`, possible values: `"0", "1", ""` — The API type: \* 0 — \[Exchange Web Services (EWS) API]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/ews-managed-api-reference-for-exchange) \* 1 — \[Microsoft Graph API]\(https\://docs.microsoft.com/en-us/azure/active-directory/develop/microsoft-graph-intro) \* An empty string — The API returns this value when the calendar\_type value is 0 (Google Calendar). - **`calendar_id` (required)** `string` — The calendar's unique ID. - **`calendar_name` (required)** `string` — The calendar's name. - **`calendar_type` (required)** `string`, possible values: `"0", "1", "2"` — The calendar's type: \* 0 — Google Calendar. \* 1 — Office 365 Calendar. \* 2 — Microsoft Exchange Calendar. - **`change_key` (required)** `string` — The specific version of the calendar item. You can get this value using Microsoft's \[FindItem operation]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). Refer to the ChangeKey field of the ItemId element in the operation's response. This field is only returned for Microsoft Exchange or Office 365 calendars. - **`email` (required)** `string`, format: `email` — The Zoom Room's associated email address. - **`event_id` (required)** `string` — The unique ID of the Zoom Room's associated calendar event: \* For Microsoft Exchange calendar integration, use Microsoft's \[FindItem operation]\(https\://docs.microsoft.com/en-us/exchange/client-developer/web-service-reference/finditem-operation). The event\_id value is the Id value in the ItemId element of the FindItem operation's response. \* For Google Calendar integration, use Google's \[Events: list API]\(https\://developers.google.com/calendar/api/v3/reference/events/list). The event\_id value is the id field in the \[events resource]\(https\://developers.google.com/calendar/api/v3/reference/events#resource). - **`id` (required)** `string` — The Zoom Room's unique ID. - **`resource_email` (required)** `string` — The calendar's associated \[resource mailbox]\(https\://support.microsoft.com/en-us/help/10063/creating-and-managing-resource-mailboxes-in-office-365). This field is only returned for Microsoft Exchange or Office 365 calendars. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "calendar_name": "", "email": "", "event_id": "", "change_key": "", "resource_email": "", "calendar_id": "", "calendar_type": "0", "api_type": "0" } } } ``` ### POST zoomroom.delayed\_alert - **Method:** `POST` - **Path:** `zoomroom.delayed_alert` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`alert_kind` (required)** `integer`, possible values: `1, 2, 3, 4` — The kind of alert: \* 1 — Triggered. There was an encountered problem. When the problem is resolved, a follow-up response will contain this field with the 2 (Cleared) value. \* 2 — Cleared. The problem is resolved. \* 3 — Observed. There is a potential issue-causing condition. If the issue is cleared (2), there will \*\*not\*\* be a follow-up response. \* 4 — Other. - **`alert_time` (required)** `integer`, format: `int64` — The timestamp when the alert occurred. - **`alert_type` (required)** `integer`, possible values: `1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 0` — The type of alert sent: \* 1 — The controller or scheduling display disconnected. \* 2 — The selected microphone, speaker, or camera has disconnected. \* 3 — The Zoom Room is offline. \* 4 — High CPU usage detected. \* 5 — Low network bandwidth detected. \* 6 — The controller or scheduling display battery is low. \* 7 — The Zoom Rooms display is disconnected. \* 8 — The audio device has quality issues. \* 9 — Failed SIP registration. \* 10 — Incorrect room passcode entry detected. \* 0 — Other alert. - **`calendar_name` (required)** `string` — The calendar's name. - **`component` (required)** `integer`, possible values: `1, 2, 3, 4, 5, 6, 0` — The affected component: \* 1 — Zoom Rooms computer \* 2 — Controller \* 3 — Scheduling display \* 4 — Microphone \* 5 — Camera \* 6 — Speaker \* 0 — Other - **`email` (required)** `string`, format: `email` — The Zoom Room's associated email address. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`issue` (required)** `string` — The issues that occurred during the meeting: \* Room controller is disconnected. \* Room controller connected. \* Selected camera is disconnected. \* Selected camera is reconnected. \* Selected microphone is disconnected. \* Selected microphone is reconnected. \* Selected speaker is disconnected. \* Selected speaker is reconnected. \* Zoom room is offline. \* Zoom room is online. \* High CPU usage detected. \* Low bandwidth network is detected. \* {name} battery is low. \* {name} battery is normal. \* {name} disconnected. \* {name} is connected. \* Incorrect Room Passcode Entry Detected. \* The possible values for {name} are: \* Zoom Rooms Computer. \* Controller. \* Scheduling Display. \* - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "calendar_name": "", "email": "", "issue": "", "alert_type": 1, "component": 1, "alert_time": 1, "alert_kind": 1 } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`alert_kind` (required)** `integer`, possible values: `1, 2, 3, 4` — The kind of alert: \* 1 — Triggered. There was an encountered problem. When the problem is resolved, a follow-up response will contain this field with the 2 (Cleared) value. \* 2 — Cleared. The problem is resolved. \* 3 — Observed. There is a potential issue-causing condition. If the issue is cleared (2), there will \*\*not\*\* be a follow-up response. \* 4 — Other. - **`alert_time` (required)** `integer`, format: `int64` — The timestamp when the alert occurred. - **`alert_type` (required)** `integer`, possible values: `1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 0` — The type of alert sent: \* 1 — The controller or scheduling display disconnected. \* 2 — The selected microphone, speaker, or camera has disconnected. \* 3 — The Zoom Room is offline. \* 4 — High CPU usage detected. \* 5 — Low network bandwidth detected. \* 6 — The controller or scheduling display battery is low. \* 7 — The Zoom Rooms display is disconnected. \* 8 — The audio device has quality issues. \* 9 — Failed SIP registration. \* 10 — Incorrect room passcode entry detected. \* 0 — Other alert. - **`calendar_name` (required)** `string` — The calendar's name. - **`component` (required)** `integer`, possible values: `1, 2, 3, 4, 5, 6, 0` — The affected component: \* 1 — Zoom Rooms computer \* 2 — Controller \* 3 — Scheduling display \* 4 — Microphone \* 5 — Camera \* 6 — Speaker \* 0 — Other - **`email` (required)** `string`, format: `email` — The Zoom Room's associated email address. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`issue` (required)** `string` — The issues that occurred during the meeting: \* Room controller is disconnected. \* Room controller connected. \* Selected camera is disconnected. \* Selected camera is reconnected. \* Selected microphone is disconnected. \* Selected microphone is reconnected. \* Selected speaker is disconnected. \* Selected speaker is reconnected. \* Zoom room is offline. \* Zoom room is online. \* High CPU usage detected. \* Low bandwidth network is detected. \* {name} battery is low. \* {name} battery is normal. \* {name} disconnected. \* {name} is connected. \* Incorrect Room Passcode Entry Detected. \* The possible values for {name} are: \* Zoom Rooms Computer. \* Controller. \* Scheduling Display. \* - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "", "calendar_name": "", "email": "", "issue": "", "alert_type": 1, "component": 1, "alert_time": 1, "alert_kind": 1 } } } ``` ### POST workspace.deleted - **Method:** `POST` - **Path:** `workspace.deleted` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who deleted the Workspace. - **`object` (required)** `object` — Information about the deleted Workspace. - **`id` (required)** `string` — The Workspace ID. - **`workspace_name` (required)** `string` — The name of the Workspace. - **`operator` (required)** `string`, format: `email` — The email address of the user who deleted the Workspace. - **`operator_id` (required)** `string` — The user ID of the user that deleted the Workspace. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_name": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who deleted the Workspace. - **`object` (required)** `object` — Information about the deleted Workspace. - **`id` (required)** `string` — The Workspace ID. - **`workspace_name` (required)** `string` — The name of the Workspace. - **`operator` (required)** `string`, format: `email` — The email address of the user who deleted the Workspace. - **`operator_id` (required)** `string` — The user ID of the user that deleted the Workspace. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_name": "" } } } ``` ### POST zoomroom.deleted - **Method:** `POST` - **Path:** `zoomroom.deleted` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "" } } } ``` ### POST visitor\_management.invitation\_updated - **Method:** `POST` - **Path:** `visitor_management.invitation_updated` - **Tags:** visitor\_management #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The user account ID. - **`object` (required)** `object` — Information about the updated invitation. - **`end_time` (required)** `long` — The epoch timestamp representing end time of the invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invitation_id` (required)** `string` — The invitation ID. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`start_time` (required)** `long` — The epoch timestamp representing the start time of the invitation. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the invitation. - **`operator_id` (required)** `string` — The user ID of the user that updated the invitation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "invitation_id": "", "visitor_email": "", "visitor_name": "", "start_time": null, "end_time": null, "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The user account ID. - **`object` (required)** `object` — Information about the updated invitation. - **`end_time` (required)** `long` — The epoch timestamp representing end time of the invitation. - **`host_email` (required)** `string` — The email address of the invitation host. - **`host_id` (required)** `string` — The user ID of the invitation host. - **`host_name` (required)** `string` — The name of the invitation host. - **`invitation_id` (required)** `string` — The invitation ID. - **`invite_location_id` (required)** `string` — The location ID of the location to which the visitor is invited to. - **`start_time` (required)** `long` — The epoch timestamp representing the start time of the invitation. - **`visitor_email` (required)** `string` — The email address of the invited visitor. - **`visitor_name` (required)** `string` — The name of the invited visitor. - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the invitation. - **`operator_id` (required)** `string` — The user ID of the user that updated the invitation. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "invitation_id": "", "visitor_email": "", "visitor_name": "", "start_time": null, "end_time": null, "invite_location_id": "", "host_id": "", "host_name": "", "host_email": "" } } } ``` ### POST zoomroom.location\_created - **Method:** `POST` - **Path:** `zoomroom.location_created` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who created the new Zoom Rooms location. - **`object` (required)** `object` — Information about the created location. - **`id` (required)** `string` — The Zoom Rooms location's ID. - **`name` (required)** `string` — The name of the new Zoom Rooms location. - **`parent_location_id` (required)** `string` — This location's parent Zoom Rooms location ID. - **`type` (required)** `enum, country┃states┃city┃campus┃building┃floor` — The location's type. - **`operator` (required)** `string`, format: `email` — The email address of the user that created the new Zoom Rooms location. - **`operator_id` (required)** `string` — The user ID of the user that created the new Zoom Rooms location. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "name": "", "parent_location_id": "", "type": null } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who created the new Zoom Rooms location. - **`object` (required)** `object` — Information about the created location. - **`id` (required)** `string` — The Zoom Rooms location's ID. - **`name` (required)** `string` — The name of the new Zoom Rooms location. - **`parent_location_id` (required)** `string` — This location's parent Zoom Rooms location ID. - **`type` (required)** `enum, country┃states┃city┃campus┃building┃floor` — The location's type. - **`operator` (required)** `string`, format: `email` — The email address of the user that created the new Zoom Rooms location. - **`operator_id` (required)** `string` — The user ID of the user that created the new Zoom Rooms location. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "name": "", "parent_location_id": "", "type": null } } } ``` ### POST zoomroom.created - **Method:** `POST` - **Path:** `zoomroom.created` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — Information about the Zoom Room. - **`id` (required)** `string` — The Zoom Room's unique ID. - **`room_name` (required)** `string` — The Zoom Room's name. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "id": "", "room_name": "" } } } ``` ### POST workspace.created - **Method:** `POST` - **Path:** `workspace.created` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the created workspace. - **`id` (required)** `string` — The Workspace ID. - **`workspace_name` (required)** `string` — The name of the workspace - **`operator` (required)** `string`, format: `email` — The email address of the user that created the workspace. - **`operator_id` (required)** `string` — The user ID of the user that created the workspace. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_name": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The workspace account ID. - **`object` (required)** `object` — Information about the created workspace. - **`id` (required)** `string` — The Workspace ID. - **`workspace_name` (required)** `string` — The name of the workspace - **`operator` (required)** `string`, format: `email` — The email address of the user that created the workspace. - **`operator_id` (required)** `string` — The user ID of the user that created the workspace. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_name": "" } } } ``` ### POST workspace.updated - **Method:** `POST` - **Path:** `workspace.updated` - **Tags:** workspace #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Workspace account ID. - **`object` (required)** `object` — Information about the updated Workspace. - **`id` (required)** `string` — The Workspace ID. - **`workspace_name` (required)** `string` — The name of the Workspace - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the Workspace. - **`operator_id` (required)** `string` — The user ID of the user that updated the Workspace. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_name": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Workspace account ID. - **`object` (required)** `object` — Information about the updated Workspace. - **`id` (required)** `string` — The Workspace ID. - **`workspace_name` (required)** `string` — The name of the Workspace - **`operator` (required)** `string`, format: `email` — The email address of the user that updated the Workspace. - **`operator_id` (required)** `string` — The user ID of the user that updated the Workspace. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "id": "", "workspace_name": "" } } } ``` ### POST zoomroom.thirdparty\_meeting\_attempted - **Method:** `POST` - **Path:** `zoomroom.thirdparty_meeting_attempted` - **Tags:** zoomroom #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — A Zoom Room is about to join a meeting. - **`room_id` (required)** `string` — The Zoom Room ID. - **`join_time`** `string`, format: `datetime` — The time to execute the command to join a meeting. - **`join_url`** `string` — The URL for joining a meeting. - **`meeting_source_type`** `string`, possible values: `"MS_TEAMS", "GOOGLE_MEET", "WEBEX", "BLUEJEANS", "FUZE", "UNKNOWN"` — The meeting type. - **`passcode`** `string` — The passcode for joining a third-party meeting. - **`sip_address`** `string` — The full SIP address to join the third-party meeting. - **`third_party_meeting_id`** `string` — The of the third-party meeting's meeting ID. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "object": { "room_id": "", "join_url": "", "meeting_source_type": "MS_TEAMS", "join_time": "2022-06-19T00:00:00Z", "sip_address": "", "third_party_meeting_id": "", "passcode": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The Zoom Room account ID. - **`object` (required)** `object` — A Zoom Room is about to join a meeting. - **`room_id` (required)** `string` — The Zoom Room ID. - **`join_time`** `string`, format: `datetime` — The time to execute the command to join a meeting. - **`join_url`** `string` — The URL for joining a meeting. - **`meeting_source_type`** `string`, possible values: `"MS_TEAMS", "GOOGLE_MEET", "WEBEX", "BLUEJEANS", "FUZE", "UNKNOWN"` — The meeting type. - **`passcode`** `string` — The passcode for joining a third-party meeting. - **`sip_address`** `string` — The full SIP a
[...]
